Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre > Server

Notices

Reply
 
Thread Tools Search this Thread
Old 02-28-2024, 07:15 AM   #1
The_Real_Fayz
Junior Member
The_Real_Fayz began at the beginning.
 
Posts: 8
Karma: 10
Join Date: Feb 2024
Device: Kobo Libra 2
Cannot get Calibre setup on Proxmox LXC.

Hello, my previous thread was closed, and I am unsure why. I am having trouble getting Calibre to install and run for me. I am on LXC 15 or 16 now, as I have tried multiple guides, and install methods, but none seem to work. All roads lead to the same issue.

Hypervisor: Proxmox 8.1.4
LXC OS: Ubuntu 22.04.03 fresh install (Headless)
LXC Storage: 25GiB
VCPU Cores: 2
Memory: 4096 MiB
Swap: 0

Commands Run:
Code:
sudo apt update && apt upgrade -y
Code:
sudo apt install xdg-utils wget xz-utils python3 libegl1 libopengl0 libxcb-cursor0 -y
Code:
sudo -v && wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin
Installation Results:
Code:
root@Calibre:~# sudo -v && wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin
Using python executable: /usr/bin/python3
2024-02-19 14:45:42 URL:https://download.calibre-ebook.com/linux-installer.sh [34233/34233] -> "-" [1]
Installing to /opt/calibre
Downloading tarball signature securely...
Will download and install calibre-7.5.1-x86_64.txz 
                                  Downloading calibre-7.5.1-x86_64.txz                                 
100% [=============================================================================================]
                                                                                                       Downloaded 146274300 bytes 
Checking downloaded file integrity... 
Extracting files to /opt/calibre ...
Extracting application files... 
Creating symlinks...
        Symlinking /opt/calibre/ebook-device to /usr/bin/ebook-device
        Symlinking /opt/calibre/ebook-meta to /usr/bin/ebook-meta
        Symlinking /opt/calibre/ebook-convert to /usr/bin/ebook-convert
        Symlinking /opt/calibre/ebook-polish to /usr/bin/ebook-polish
        Symlinking /opt/calibre/markdown-calibre to /usr/bin/markdown-calibre
        Symlinking /opt/calibre/web2disk to /usr/bin/web2disk
        Symlinking /opt/calibre/calibre-server to /usr/bin/calibre-server
        Symlinking /opt/calibre/lrf2lrs to /usr/bin/lrf2lrs
        Symlinking /opt/calibre/lrs2lrf to /usr/bin/lrs2lrf
        Symlinking /opt/calibre/calibre-debug to /usr/bin/calibre-debug
        Symlinking /opt/calibre/calibredb to /usr/bin/calibredb
        Symlinking /opt/calibre/calibre-parallel to /usr/bin/calibre-parallel
        Symlinking /opt/calibre/calibre-customize to /usr/bin/calibre-customize
        Symlinking /opt/calibre/fetch-ebook-metadata to /usr/bin/fetch-ebook-metadata
        Symlinking /opt/calibre/calibre-smtp to /usr/bin/calibre-smtp
        Symlinking /opt/calibre/calibre to /usr/bin/calibre
        Symlinking /opt/calibre/lrfviewer to /usr/bin/lrfviewer
        Symlinking /opt/calibre/ebook-viewer to /usr/bin/ebook-viewer
        Symlinking /opt/calibre/ebook-edit to /usr/bin/ebook-edit
Setting up command-line completion...
Installing zsh completion to: /usr/share/zsh/vendor-completions/_calibre
Failed to find directory to install bash completions, using default.
Installing bash completion to: /usr/share/bash-completion/completions/
Failed to import PyQt module: PyQt6.QtWebEngineCore with error: libnss3.so: cannot open shared object file: No such file or directory

____________________ WARNING ____________________
Setting up completion failed with error:
__________________________________________________


        Traceback (most recent call last):
          File "calibre/linux.py", line 837, in setup_completion
          File "calibre/linux.py", line 587, in write_completion
          File "bypy-importer.py", line 279, in exec_module
          File "calibre/gui2/tweak_book/main.py", line 12, in <module>
          File "bypy-importer.py", line 279, in exec_module
          File "calibre/ebooks/oeb/polish/check/css.py", line 11, in <module>
        ImportError: cannot import name 'QWebEnginePage' from 'qt.webengine' (/opt/calibre/lib/calibre-extensions/python-lib.bypy.frozen/qt/webengine.pyc)

Setting up desktop integration...
xdg-desktop-menu: No writable system menu directory found.

____________________ WARNING ____________________
Setting up desktop integration failed with error:
__________________________________________________


        Traceback (most recent call last):
          File "calibre/linux.py", line 858, in setup_desktop_integration
          File "calibre/linux.py", line 880, in do_setup_desktop_integration
          File "calibre/linux.py", line 958, in install_xdg_junk
          File "subprocess.py", line 413, in check_call
        subprocess.CalledProcessError: Command 'xdg-desktop-menu install --noupdate ./calibre-gui.desktop' returned non-zero exit status 3.

Creating un-installer: /usr/bin/calibre-uninstall


There were 2 warnings

* Setting up completion failed with error:

* Setting up desktop integration failed with error:

Run "calibre" to start calibre
Starup Results:
Code:
root@Calibre:~# calibre
Detected locale "C" with character encoding "ANSI_X3.4-1968", which is not UTF-8.
Qt depends on a UTF-8 locale, and has switched to "C.UTF-8" instead.
If this causes problems, reconfigure your locale. See the locale(1) manual
for more information.
qt.qpa.plugin: From 6.5.0, xcb-cursor0 or libxcb-cursor0 is needed to load the Qt xcb platform plugin.
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: eglfs, vnc, vkkhrdisplay, linuxfb, minimal, wayland, wayland-egl, offscreen, minimalegl, xcb.

Aborted
In my research on this issue, I came across this post that mentioned needing libnss3.so, so I have tried installing it as well, but that did not help.
Code:
sudo apt install libnss3 -y
The_Real_Fayz is offline   Reply With Quote
Old 02-28-2024, 08:25 AM   #2
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 44,102
Karma: 22669824
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
From looking at the errors in your posted output. You are missing

libnss3.so

You have no locale set.
You are running as root for some reason?
kovidgoyal is offline   Reply With Quote
Advert
Old 02-28-2024, 09:58 AM   #3
gbm
Wizard
gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.
 
Posts: 2,097
Karma: 8796704
Join Date: Jun 2010
Device: Kobo Clara HD,Hisence Sero 7 Pro RIP, Nook STR, jetbook lite
Try:

Code:
sudo apt install libxcb-cursor0
bernie
Quote:
Originally Posted by The_Real_Fayz View Post
Hello, my previous thread was closed, and I am unsure why. I am having trouble getting Calibre to install and run for me. I am on LXC 15 or 16 now, as I have tried multiple guides, and install methods, but none seem to work. All roads lead to the same issue.

Hypervisor: Proxmox 8.1.4
LXC OS: Ubuntu 22.04.03 fresh install (Headless)
LXC Storage: 25GiB
VCPU Cores: 2
Memory: 4096 MiB
Swap: 0

Commands Run:
Code:
sudo apt update && apt upgrade -y
Code:
sudo apt install xdg-utils wget xz-utils python3 libegl1 libopengl0 libxcb-cursor0 -y
Code:
sudo -v && wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin
Installation Results:
Code:
root@Calibre:~# sudo -v && wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin
Using python executable: /usr/bin/python3
2024-02-19 14:45:42 URL:https://download.calibre-ebook.com/linux-installer.sh [34233/34233] -> "-" [1]
Installing to /opt/calibre
Downloading tarball signature securely...
Will download and install calibre-7.5.1-x86_64.txz 
                                  Downloading calibre-7.5.1-x86_64.txz                                 
100% [=============================================================================================]
                                                                                                       Downloaded 146274300 bytes 
Checking downloaded file integrity... 
Extracting files to /opt/calibre ...
Extracting application files... 
Creating symlinks...
        Symlinking /opt/calibre/ebook-device to /usr/bin/ebook-device
        Symlinking /opt/calibre/ebook-meta to /usr/bin/ebook-meta
        Symlinking /opt/calibre/ebook-convert to /usr/bin/ebook-convert
        Symlinking /opt/calibre/ebook-polish to /usr/bin/ebook-polish
        Symlinking /opt/calibre/markdown-calibre to /usr/bin/markdown-calibre
        Symlinking /opt/calibre/web2disk to /usr/bin/web2disk
        Symlinking /opt/calibre/calibre-server to /usr/bin/calibre-server
        Symlinking /opt/calibre/lrf2lrs to /usr/bin/lrf2lrs
        Symlinking /opt/calibre/lrs2lrf to /usr/bin/lrs2lrf
        Symlinking /opt/calibre/calibre-debug to /usr/bin/calibre-debug
        Symlinking /opt/calibre/calibredb to /usr/bin/calibredb
        Symlinking /opt/calibre/calibre-parallel to /usr/bin/calibre-parallel
        Symlinking /opt/calibre/calibre-customize to /usr/bin/calibre-customize
        Symlinking /opt/calibre/fetch-ebook-metadata to /usr/bin/fetch-ebook-metadata
        Symlinking /opt/calibre/calibre-smtp to /usr/bin/calibre-smtp
        Symlinking /opt/calibre/calibre to /usr/bin/calibre
        Symlinking /opt/calibre/lrfviewer to /usr/bin/lrfviewer
        Symlinking /opt/calibre/ebook-viewer to /usr/bin/ebook-viewer
        Symlinking /opt/calibre/ebook-edit to /usr/bin/ebook-edit
Setting up command-line completion...
Installing zsh completion to: /usr/share/zsh/vendor-completions/_calibre
Failed to find directory to install bash completions, using default.
Installing bash completion to: /usr/share/bash-completion/completions/
Failed to import PyQt module: PyQt6.QtWebEngineCore with error: libnss3.so: cannot open shared object file: No such file or directory

____________________ WARNING ____________________
Setting up completion failed with error:
__________________________________________________


        Traceback (most recent call last):
          File "calibre/linux.py", line 837, in setup_completion
          File "calibre/linux.py", line 587, in write_completion
          File "bypy-importer.py", line 279, in exec_module
          File "calibre/gui2/tweak_book/main.py", line 12, in <module>
          File "bypy-importer.py", line 279, in exec_module
          File "calibre/ebooks/oeb/polish/check/css.py", line 11, in <module>
        ImportError: cannot import name 'QWebEnginePage' from 'qt.webengine' (/opt/calibre/lib/calibre-extensions/python-lib.bypy.frozen/qt/webengine.pyc)

Setting up desktop integration...
xdg-desktop-menu: No writable system menu directory found.

____________________ WARNING ____________________
Setting up desktop integration failed with error:
__________________________________________________


        Traceback (most recent call last):
          File "calibre/linux.py", line 858, in setup_desktop_integration
          File "calibre/linux.py", line 880, in do_setup_desktop_integration
          File "calibre/linux.py", line 958, in install_xdg_junk
          File "subprocess.py", line 413, in check_call
        subprocess.CalledProcessError: Command 'xdg-desktop-menu install --noupdate ./calibre-gui.desktop' returned non-zero exit status 3.

Creating un-installer: /usr/bin/calibre-uninstall


There were 2 warnings

* Setting up completion failed with error:

* Setting up desktop integration failed with error:

Run "calibre" to start calibre
Starup Results:
Code:
root@Calibre:~# calibre
Detected locale "C" with character encoding "ANSI_X3.4-1968", which is not UTF-8.
Qt depends on a UTF-8 locale, and has switched to "C.UTF-8" instead.
If this causes problems, reconfigure your locale. See the locale(1) manual
for more information.
qt.qpa.plugin: From 6.5.0, xcb-cursor0 or libxcb-cursor0 is needed to load the Qt xcb platform plugin.
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: eglfs, vnc, vkkhrdisplay, linuxfb, minimal, wayland, wayland-egl, offscreen, minimalegl, xcb.

Aborted
In my research on this issue, I came across this post that mentioned needing libnss3.so, so I have tried installing it as well, but that did not help.
Code:
sudo apt install libnss3 -y
gbm is offline   Reply With Quote
Old 02-29-2024, 08:36 AM   #4
The_Real_Fayz
Junior Member
The_Real_Fayz began at the beginning.
 
Posts: 8
Karma: 10
Join Date: Feb 2024
Device: Kobo Libra 2
Quote:
Originally Posted by kovidgoyal View Post
From looking at the errors in your posted output. You are missing

libnss3.so

You have no locale set.
You are running as root for some reason?
The last part of my post mentions I found another post on another forum that mentioned that, so I did install it, and it did not help. I got the same error.
The_Real_Fayz is offline   Reply With Quote
Old 02-29-2024, 08:41 AM   #5
The_Real_Fayz
Junior Member
The_Real_Fayz began at the beginning.
 
Posts: 8
Karma: 10
Join Date: Feb 2024
Device: Kobo Libra 2
Quote:
Originally Posted by gbm View Post
Try:

Code:
sudo apt install libxcb-cursor0
bernie
Thank you, but that is included in the second command I ran.
The_Real_Fayz is offline   Reply With Quote
Advert
Old 02-29-2024, 09:19 AM   #6
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 44,102
Karma: 22669824
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
Quote:
Originally Posted by The_Real_Fayz View Post
The last part of my post mentions I found another post on another forum that mentioned that, so I did install it, and it did not help. I got the same error.
If you got the same error then its not actually installed.
kovidgoyal is offline   Reply With Quote
Old 02-29-2024, 09:22 AM   #7
The_Real_Fayz
Junior Member
The_Real_Fayz began at the beginning.
 
Posts: 8
Karma: 10
Join Date: Feb 2024
Device: Kobo Libra 2
Ok, I have just created another LXC fresh. Below are the commands and results. As you can see both

Code:
sudo apt update && apt upgrade -y
[CODE]sudo apt install xdg-utils wget xz-utils python3 libegl1 libopengl0 libnss3 libxcb-cursor0 -y

Ran that again to check if they installed correctly.

Code:
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
libegl1 is already the newest version (1.4.0-1).
libopengl0 is already the newest version (1.4.0-1).
wget is already the newest version (1.21.2-2ubuntu1).
xz-utils is already the newest version (5.2.5-2ubuntu1).
libxcb-cursor0 is already the newest version (0.1.1-4ubuntu1).
libnss3 is already the newest version (2:3.68.2-0ubuntu1.2).
python3 is already the newest version (3.10.6-1~22.04).
xdg-utils is already the newest version (1.1.3-4.1ubuntu3~22.04.1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Code:
sudo -v && wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin
Code:
Using python executable: /usr/bin/python3
2024-02-29 14:11:55 URL:https://download.calibre-ebook.com/linux-installer.sh [34233/34233] -> "-" [1]
Installing to /opt/calibre
Downloading tarball signature securely...
Will download and install calibre-7.5.1-x86_64.txz 
                                                              Downloading calibre-7.5.1-x86_64.txz                                                              
100% [======================================================================================================================================================]
                                                                                                                                                                Downloaded 146274300 bytes 
Checking downloaded file integrity... 
Extracting files to /opt/calibre ...
Extracting application files... 
Creating symlinks...
        Symlinking /opt/calibre/ebook-device to /usr/bin/ebook-device
        Symlinking /opt/calibre/ebook-meta to /usr/bin/ebook-meta
        Symlinking /opt/calibre/ebook-convert to /usr/bin/ebook-convert
        Symlinking /opt/calibre/ebook-polish to /usr/bin/ebook-polish
        Symlinking /opt/calibre/markdown-calibre to /usr/bin/markdown-calibre
        Symlinking /opt/calibre/web2disk to /usr/bin/web2disk
        Symlinking /opt/calibre/calibre-server to /usr/bin/calibre-server
        Symlinking /opt/calibre/lrf2lrs to /usr/bin/lrf2lrs
        Symlinking /opt/calibre/lrs2lrf to /usr/bin/lrs2lrf
        Symlinking /opt/calibre/calibre-debug to /usr/bin/calibre-debug
        Symlinking /opt/calibre/calibredb to /usr/bin/calibredb
        Symlinking /opt/calibre/calibre-parallel to /usr/bin/calibre-parallel
        Symlinking /opt/calibre/calibre-customize to /usr/bin/calibre-customize
        Symlinking /opt/calibre/fetch-ebook-metadata to /usr/bin/fetch-ebook-metadata
        Symlinking /opt/calibre/calibre-smtp to /usr/bin/calibre-smtp
        Symlinking /opt/calibre/calibre to /usr/bin/calibre
        Symlinking /opt/calibre/lrfviewer to /usr/bin/lrfviewer
        Symlinking /opt/calibre/ebook-viewer to /usr/bin/ebook-viewer
        Symlinking /opt/calibre/ebook-edit to /usr/bin/ebook-edit
Setting up command-line completion...
Installing zsh completion to: /usr/share/zsh/vendor-completions/_calibre
Failed to find directory to install bash completions, using default.
Installing bash completion to: /usr/share/bash-completion/completions/
Setting up desktop integration...
xdg-desktop-menu: No writable system menu directory found.

____________________ WARNING ____________________
Setting up desktop integration failed with error:
__________________________________________________


        Traceback (most recent call last):
          File "calibre/linux.py", line 858, in setup_desktop_integration
          File "calibre/linux.py", line 880, in do_setup_desktop_integration
          File "calibre/linux.py", line 958, in install_xdg_junk
          File "subprocess.py", line 413, in check_call
        subprocess.CalledProcessError: Command 'xdg-desktop-menu install --noupdate ./calibre-gui.desktop' returned non-zero exit status 3.

Creating un-installer: /usr/bin/calibre-uninstall


There were 1 warnings

* Setting up desktop integration failed with error:

Run "calibre" to start calibre
Code:
root@Calibre:~# calibre
Code:
Detected locale "C" with character encoding "ANSI_X3.4-1968", which is not UTF-8.
Qt depends on a UTF-8 locale, and has switched to "C.UTF-8" instead.
If this causes problems, reconfigure your locale. See the locale(1) manual
for more information.
qt.qpa.plugin: From 6.5.0, xcb-cursor0 or libxcb-cursor0 is needed to load the Qt xcb platform plugin.
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: offscreen, vnc, vkkhrdisplay, linuxfb, minimalegl, minimal, eglfs, xcb, wayland-egl, wayland.

Aborted
The_Real_Fayz is offline   Reply With Quote
Old 02-29-2024, 09:25 AM   #8
The_Real_Fayz
Junior Member
The_Real_Fayz began at the beginning.
 
Posts: 8
Karma: 10
Join Date: Feb 2024
Device: Kobo Libra 2
Ok, I have just created another LXC fresh. Below are the commands and results. As you can see both

Code:
sudo apt update && apt upgrade -y
[CODE]sudo apt install xdg-utils wget xz-utils python3 libegl1 libopengl0 libnss3 libxcb-cursor0 -y

Ran that again to check if they installed correctly.

Code:
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
libegl1 is already the newest version (1.4.0-1).
libopengl0 is already the newest version (1.4.0-1).
wget is already the newest version (1.21.2-2ubuntu1).
xz-utils is already the newest version (5.2.5-2ubuntu1).
libxcb-cursor0 is already the newest version (0.1.1-4ubuntu1).
libnss3 is already the newest version (2:3.68.2-0ubuntu1.2).
python3 is already the newest version (3.10.6-1~22.04).
xdg-utils is already the newest version (1.1.3-4.1ubuntu3~22.04.1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Code:
sudo -v && wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin
Code:
Using python executable: /usr/bin/python3
2024-02-29 14:11:55 URL:https://download.calibre-ebook.com/linux-installer.sh [34233/34233] -> "-" [1]
Installing to /opt/calibre
Downloading tarball signature securely...
Will download and install calibre-7.5.1-x86_64.txz 
                                                              Downloading calibre-7.5.1-x86_64.txz                                                              
100% [======================================================================================================================================================]
                                                                                                                                                                Downloaded 146274300 bytes 
Checking downloaded file integrity... 
Extracting files to /opt/calibre ...
Extracting application files... 
Creating symlinks...
        Symlinking /opt/calibre/ebook-device to /usr/bin/ebook-device
        Symlinking /opt/calibre/ebook-meta to /usr/bin/ebook-meta
        Symlinking /opt/calibre/ebook-convert to /usr/bin/ebook-convert
        Symlinking /opt/calibre/ebook-polish to /usr/bin/ebook-polish
        Symlinking /opt/calibre/markdown-calibre to /usr/bin/markdown-calibre
        Symlinking /opt/calibre/web2disk to /usr/bin/web2disk
        Symlinking /opt/calibre/calibre-server to /usr/bin/calibre-server
        Symlinking /opt/calibre/lrf2lrs to /usr/bin/lrf2lrs
        Symlinking /opt/calibre/lrs2lrf to /usr/bin/lrs2lrf
        Symlinking /opt/calibre/calibre-debug to /usr/bin/calibre-debug
        Symlinking /opt/calibre/calibredb to /usr/bin/calibredb
        Symlinking /opt/calibre/calibre-parallel to /usr/bin/calibre-parallel
        Symlinking /opt/calibre/calibre-customize to /usr/bin/calibre-customize
        Symlinking /opt/calibre/fetch-ebook-metadata to /usr/bin/fetch-ebook-metadata
        Symlinking /opt/calibre/calibre-smtp to /usr/bin/calibre-smtp
        Symlinking /opt/calibre/calibre to /usr/bin/calibre
        Symlinking /opt/calibre/lrfviewer to /usr/bin/lrfviewer
        Symlinking /opt/calibre/ebook-viewer to /usr/bin/ebook-viewer
        Symlinking /opt/calibre/ebook-edit to /usr/bin/ebook-edit
Setting up command-line completion...
Installing zsh completion to: /usr/share/zsh/vendor-completions/_calibre
Failed to find directory to install bash completions, using default.
Installing bash completion to: /usr/share/bash-completion/completions/
Setting up desktop integration...
xdg-desktop-menu: No writable system menu directory found.

____________________ WARNING ____________________
Setting up desktop integration failed with error:
__________________________________________________


        Traceback (most recent call last):
          File "calibre/linux.py", line 858, in setup_desktop_integration
          File "calibre/linux.py", line 880, in do_setup_desktop_integration
          File "calibre/linux.py", line 958, in install_xdg_junk
          File "subprocess.py", line 413, in check_call
        subprocess.CalledProcessError: Command 'xdg-desktop-menu install --noupdate ./calibre-gui.desktop' returned non-zero exit status 3.

Creating un-installer: /usr/bin/calibre-uninstall


There were 1 warnings

* Setting up desktop integration failed with error:

Run "calibre" to start calibre
Code:
root@Calibre:~# calibre
Code:
Detected locale "C" with character encoding "ANSI_X3.4-1968", which is not UTF-8.
Qt depends on a UTF-8 locale, and has switched to "C.UTF-8" instead.
If this causes problems, reconfigure your locale. See the locale(1) manual
for more information.
qt.qpa.plugin: From 6.5.0, xcb-cursor0 or libxcb-cursor0 is needed to load the Qt xcb platform plugin.
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: offscreen, vnc, vkkhrdisplay, linuxfb, minimalegl, minimal, eglfs, xcb, wayland-egl, wayland.

Aborted
The_Real_Fayz is offline   Reply With Quote
Old 02-29-2024, 09:28 AM   #9
The_Real_Fayz
Junior Member
The_Real_Fayz began at the beginning.
 
Posts: 8
Karma: 10
Join Date: Feb 2024
Device: Kobo Libra 2
Quote:
Originally Posted by kovidgoyal View Post
If you got the same error then its not actually installed.
[CODE]sudo apt install xdg-utils wget xz-utils python3 libegl1 libopengl0 libnss3 libxcb-cursor0 -y

Ran that again to check if they installed correctly.

Code:
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
libegl1 is already the newest version (1.4.0-1).
libopengl0 is already the newest version (1.4.0-1).
wget is already the newest version (1.21.2-2ubuntu1).
xz-utils is already the newest version (5.2.5-2ubuntu1).
libxcb-cursor0 is already the newest version (0.1.1-4ubuntu1).
libnss3 is already the newest version (2:3.68.2-0ubuntu1.2).
python3 is already the newest version (3.10.6-1~22.04).
xdg-utils is already the newest version (1.1.3-4.1ubuntu3~22.04.1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
The_Real_Fayz is offline   Reply With Quote
Old 02-29-2024, 09:39 AM   #10
theducks
Well trained by Cats
theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.
 
theducks's Avatar
 
Posts: 30,072
Karma: 57259778
Join Date: Aug 2009
Location: The Central Coast of California
Device: Kobo Libra2,Kobo Aura2v1, K4NT(Fixed: New Bat.), Galaxy Tab A
Please use Spoiler tags for Logs, not code tags
theducks is offline   Reply With Quote
Old 02-29-2024, 09:41 AM   #11
JSWolf
Resident Curmudgeon
JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.
 
JSWolf's Avatar
 
Posts: 74,919
Karma: 131375774
Join Date: Nov 2006
Location: Roslindale, Massachusetts
Device: Kobo Libra 2, Kobo Aura H2O, PRS-650, PRS-T1, nook STR, PW3
Quote:
Originally Posted by theducks View Post
Please use Spoiler tags for Logs, not code tags
Actually, I think it would be best to put spoilers around the code blocks. IT['s a lot less of a mess if the log is long.
JSWolf is offline   Reply With Quote
Old 02-29-2024, 09:44 AM   #12
theducks
Well trained by Cats
theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.
 
theducks's Avatar
 
Posts: 30,072
Karma: 57259778
Join Date: Aug 2009
Location: The Central Coast of California
Device: Kobo Libra2,Kobo Aura2v1, K4NT(Fixed: New Bat.), Galaxy Tab A
Quote:
Originally Posted by JSWolf View Post
Actually, I think it would be best to put spoilers around the code blocks. IT['s a lot less of a mess if the log is long.
(never thought of doing that.)
theducks is offline   Reply With Quote
Old 02-29-2024, 09:48 AM   #13
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 44,102
Karma: 22669824
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
And now your libnss error is gone, as expected. Now you need to fix your locale. Read the error messages when you run calibre.
kovidgoyal is offline   Reply With Quote
Old 02-29-2024, 11:47 AM   #14
The_Real_Fayz
Junior Member
The_Real_Fayz began at the beginning.
 
Posts: 8
Karma: 10
Join Date: Feb 2024
Device: Kobo Libra 2
Quote:
Originally Posted by kovidgoyal View Post
And now your libnss error is gone, as expected. Now you need to fix your locale. Read the error messages when you run calibre.
Thank you, I needed you to tell me to read... Clearly, I did not understand the error or I would not have posted it, but now I see what people are talking about when they reference the attitude that comes with support if you are new to this. I have figured it out but maybe let others support new people if you cannot have any compassion and desire to help someone understand...
The_Real_Fayz is offline   Reply With Quote
Old 02-29-2024, 12:51 PM   #15
DNSB
Bibliophagist
DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.
 
DNSB's Avatar
 
Posts: 37,525
Karma: 149856306
Join Date: Jul 2010
Location: Vancouver
Device: Kobo Sage, Libra Colour, Lenovo M8 FHD, Paperwhite 4, Tolino epos
Quote:
Originally Posted by The_Real_Fayz View Post
Thank you, I needed you to tell me to read... Clearly, I did not understand the error or I would not have posted it, but now I see what people are talking about when they reference the attitude that comes with support if you are new to this. I have figured it out but maybe let others support new people if you cannot have any compassion and desire to help someone understand...
Perhaps you should try walking a couple of kilometres in Kovid's moccasins before commenting on his lack of compassion and desire to help. A simple search using Google, Bing, whatever for 'linux locale error' would lead you to multiple pages on using locale to display your current locale and on how to set your locale. You can add the Linux distribution and version to narrow down the answer.

A quick search through the calibre forum shows that while Windows and MacOS users constitute 81.1% and 14.6% of calibre users, the 4.3% of Linux calibre users have posted about far more installation issues than that 95.7% does.
DNSB is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Issues installing on a Proxmox LXC. The_Real_Fayz Server 0 02-19-2024 12:23 PM
no setup of Calibre possible DMcCunney Calibre 34 10-24-2020 06:19 PM
what is 'Page Setup' (Calibre) u238110 Conversion 9 03-09-2015 10:09 PM
New machine, keep old calibre setup? TdeV Calibre 2 12-06-2011 02:14 PM


All times are GMT -4. The time now is 10:38 AM.


MobileRead.com is a privately owned, operated and funded community.